export const schema = gql`
  type Social {
    id: Int!
    name: String!
    type: Handle!
    username: String!
  }

  enum Handle {
    x
    threads
    instagram
    facebook
    tiktok
    youtube
    linkedin
    github
    email
    custom
  }

  type Query {
    socials: [Social!]! @requireAuth
    social(id: Int!): Social @requireAuth
  }

  input CreateSocialInput {
    name: String!
    type: Handle!
    username: String!
  }

  input UpdateSocialInput {
    name: String
    type: Handle
    username: String
  }

  type Mutation {
    createSocial(input: CreateSocialInput!): Social! @requireAuth
    updateSocial(id: Int!, input: UpdateSocialInput!): Social! @requireAuth
    deleteSocial(id: Int!): Social! @requireAuth
  }
`
