import { Router, Route, Set, PrivateSet } from '@redwoodjs/router'

import ScaffoldLayout from 'src/layouts/ScaffoldLayout'

import { useAuth } from './auth'
import AccountbarLayout from './layouts/AccountbarLayout/AccountbarLayout'
import NavbarLayout from './layouts/NavbarLayout/NavbarLayout'

const Routes = () => {
  return (
    <Router useAuth={useAuth}>
      <PrivateSet unauthenticated="home">
        <Set wrap={ScaffoldLayout} title="Socials" titleTo="socials" buttonLabel="New Social" buttonTo="newSocial">
          <Route path="/socials/new" page={SocialNewSocialPage} name="newSocial" />
          <Route path="/socials/{id:Int}/edit" page={SocialEditSocialPage} name="editSocial" />
          <Route path="/socials/{id:Int}" page={SocialSocialPage} name="social" />
          <Route path="/socials" page={SocialSocialsPage} name="socials" />
        </Set>
      </PrivateSet>

      <Set wrap={AccountbarLayout} title="Login">
        <Route path="/login" page={LoginPage} name="login" />
      </Set>

      <Set wrap={AccountbarLayout} title="Forgot Password">
        <Route path="/forgot-password" page={ForgotPasswordPage} name="forgotPassword" />
      </Set>

      <Set wrap={AccountbarLayout} title="Reset Password">
        <Route path="/reset-password" page={ResetPasswordPage} name="resetPassword" />
      </Set>

      <Set wrap={NavbarLayout}>
        <Route path="/" page={HomePage} name="home" />
      </Set>

      <Route notfound page={NotFoundPage} />
    </Router>
  )
}

export default Routes
