import { ReactElement } from 'react'

import {
  SiX,
  SiThreads,
  SiInstagram,
  SiFacebook,
  SiTiktok,
  SiYoutube,
  SiLinkedin,
  SiGithub,
} from '@icons-pack/react-simple-icons'
import { mdiEmail, mdiLink } from '@mdi/js'
import Icon from '@mdi/react'
import type { Handle } from 'types/graphql'

export const baseUrls: Record<Handle, string> = {
  x: 'https://x.com/',
  facebook: 'https://www.facebook.com/',
  github: 'https://github.com/',
  instagram: 'https://www.instagram.com/',
  linkedin: 'https://www.linkedin.com/in/',
  threads: 'https://www.threads.net/@',
  tiktok: 'https://www.tiktok.com/@',
  youtube: 'https://www.youtube.com/@',
  email: 'mailto:',
  custom: '',
}

const logoComponents: Record<Handle, ReactElement> = {
  x: <SiX className="text-x-light dark:text-x-dark" />,
  threads: <SiThreads className="text-threads-light dark:text-threads-dark" />,
  instagram: (
    <SiInstagram className="text-instagram-light dark:text-instagram-dark" />
  ),
  facebook: (
    <SiFacebook className="text-facebook-light dark:text-facebook-dark" />
  ),
  tiktok: <SiTiktok className="text-tiktok-light dark:text-tiktok-dark" />,
  youtube: <SiYoutube className="text-youtube-light dark:text-youtube-dark" />,
  linkedin: (
    <SiLinkedin className="text-linkedin-light dark:text-linkedin-dark" />
  ),
  github: <SiGithub className="text-github-light dark:text-github-dark" />,
  email: <Icon path={mdiEmail} className="size-7" />,
  custom: <Icon path={mdiLink} className="size-7" />,
}

export const getLogoComponent = (type: Handle) => logoComponents[type]
